<div class="my-container">
  <div class="contain_titile">
    <div class="row justify-content-md-center">
      <div class="col"></div>
      <div class="col">
        <div class="card">
          <div class="card-header">
            <h1>LOGIN</h1>
          </div>
          <div class="card-body">
            <form *ngIf="!LoggedIn" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
              <div class="row">
                <div class="col"></div>
                <div class="col-10">
                  <!--email part-->
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="fa-regular fa-user"></i></span>
                    </div>
                    <input
                      type="email"
                      name="email"
                      class="form-control"
                      id="email"
                      [(ngModel)]="form.email"
                      placeholder="name@email.com"
                      required
                      email
                      #email="ngModel"
                    />
                  </div>
                  <div class="alert alert-danger" role="alert" *ngIf="f.submitted && email.invalid">
                    Email is required!
                  </div>
                  <!--password part-->
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="fa-solid fa-lock"></i></span>
                    </div>
                    <input
                      type="password"
                      name="password"
                      class="form-control input_pass"
                      id="password"
                      placeholder="password"
                      [(ngModel)]="form.password"
                      required
                      #password="ngModel"
                    />
                  </div>
                  <div class="alert alert-danger" role="alert" *ngIf="f.submitted && password.invalid">
                    <div *ngIf="password.hasError('required')">Password is required</div>
                  </div>
                  <div class="col"></div>
                </div>
                <!--login part-->
                <div class="col"></div>
              </div>
              <div class="form-group">
                <div class="row justify-content-md-center">
                  <div class="col"></div>
                  <div class="col"><button class="btn login_btn">Login</button></div>
                  <div class="alert alert-danger" role="alert" *ngIf="f.submitted && LoginFailed">
                    Login failed: {{ errorMessage }}
                  </div>
                  <div class="col"></div>
                </div>
              </div>
            </form>
          </div>

          <div class="card-footer">
            <div class="row justify-content-md-center">
              <div class="col"></div>
              <div class="col" class="reg-con">
                <a href="/register" class="register">REGISTER</a>
              </div>
              <div class="col"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="col"></div>
    </div>
  </div>
</div>
